Bug 225572 - emulators/i386-wine Makefile.inc references obsolete mono msi file
Summary: emulators/i386-wine Makefile.inc references obsolete mono msi file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-30 19:47 UTC by russo
Modified: 2018-03-17 15:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dbn)


Attachments
Patch to update Makefile.inc so port will upgrade cleanly. (455 bytes, patch)
2018-01-30 19:47 UTC, russo
no flags Details | Diff
Bump wine-gecko and wine-mono version (5.74 KB, patch)
2018-02-01 16:02 UTC, David Naylor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description russo 2018-01-30 19:47:36 UTC
Created attachment 190211 [details]
Patch to update Makefile.inc so port will upgrade cleanly.

Attempting to portupgrade emulators/i386-wine fails, because Makefile.inc looks for the presence of ${DATADIR}/mono/wine-mono-4.5.6.msi, and if that file is not found, causes emulators/wine-mono to be installed.

But emulators/wine-mono installs wine-mono-4.6.4.msi, not wine-mono-4.5.6, and I already have it installed.  What results is that portupgrade of i386-wine detects that the old mono file doesn't exist, tries to install emulators/wine-mono as a dependency, and then bombs out at the final step of the install of emulators/wine-mono, because it's already installed.

The fix is just to update Makefile.inc, as is done in the attached patch.
Comment 1 David Naylor freebsd_committer 2018-02-01 16:02:58 UTC
Created attachment 190247 [details]
Bump wine-gecko and wine-mono version

Thank you for reporting the issue.  Although the patch works, the version of mono and gecko shipped does not match what wine expects.  

Gerald: I suggest we bump the version of wine-gecko and wine-mono to match what (i386-)wine expects.  Although this means we have two ports with the exact same version I do think it is a lesser POLA.  

The attached patch bumps the versions and fixes the references.  It also includes a few back-ported changes I missed from i386-wine-devel.  

Happy for you to commit to my ports, or - with your approval - I can commit the attached patch.
Comment 2 commit-hook freebsd_committer 2018-03-10 11:25:50 UTC
A commit references this bug:

Author: dbn
Date: Sat Mar 10 11:24:54 UTC 2018
New revision: 464069
URL: https://svnweb.freebsd.org/changeset/ports/464069

Log:
  emulators/i386-wine: fix dependency path for gecko, mono

  PR:		225572
  Submitted by:	russo@bogodyn.org

Changes:
  head/emulators/i386-wine/Makefile.inc
Comment 3 David Naylor freebsd_committer 2018-03-17 15:28:49 UTC
Despite the (in my opinion) inconsistency in the use of wine support ports, there is no longer an error (fixed in commit).  

Thank you for the report :-).